<?php

include_once 'sys/inc/start.php';
$doc = new document(); // инициализация документа для браузера
$doc->title = __('Настройки языка');


if (!empty($_GET['set_lang'])) {
    if (!languages::exists($_GET['set_lang'])) {
        $doc->err(__('Запрашиваемый языковой пакет не найден'));
    } else {
        $lang = new language_pack($_GET['set_lang']);

        if ($user->group) {
            $user->language = $lang->code;
        } else {
            $_SESSION['language'] = $lang->code;
        }

        $doc->msg(__('Языковой пакет %s (%s) успешно выбран', $lang->name, $lang->enname));
    }
}

$languages = languages::getList();
foreach ($languages as $key => $l) {
    $icon = empty($l['icon']) ? false : array('size' => 'small', 'src' => $l['icon']);
    $url = '?set_lang=' . urlencode($key);
    $posts[] = array('title' => "<a href='$url'>" . ($dcms_language_pack->code == $key ? $l['name'] : $l['enname']) . '</a>', 'icon' => $icon, 'url' => $url);
}

if (!$posts) {
    $posts[] = array('icon' => array('size' => 'small', 'src' => '/sys/images/icons/empty.png'), 'title' => __('Не найдено ни одного языкового пакета'));
}
$show = new design();
$show->assign('post', $posts);
$show->display('design.listing.tpl');

$doc->ret(__('Личное меню'), '/menu.user.php');
?>
