<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">
<head>
<title>{$title|for_value}</title>
<link rel="shortcut icon" href="/favicon.ico" />
<link rel="stylesheet" href="{$path}/style.css" type="text/css" />
<meta http-equiv="content-Type" content="application/xhtml+xml; charset=utf-8" />
{if $description}<meta name="description" content="{$description|for_value}" />{/if}
{if $keywords}<meta name="keywords" content="{$keywords|for_value}" />{/if}


</head>
<body>
<div id="container">
{include file="header.tpl"}
<div id="left">
{include file="inc.adt.top.tpl"}
{include file="inc.menu.tpl"}
</div>
<div id="content">
{if $smarty.server.SCRIPT_NAME != '/index.php'} {$content} {/if}
{if $smarty.server.SCRIPT_NAME == '/index.php'} 
<div id="site_info">
DCMS - это полноценная система управления сайтом.<br />
Список модулей по-умолчанию:<br />
 - <b>Система управления пользователями</b>: регистрация, авторизация, блокировка пользователя и т.д.<br />
 - <b>Мини-чат</b>: позволяет общаться с другими пользователями в онлайне или высказать свое мнение осайте.<br />
 - <b>Новости</b>: позволяют делать рассылку по email адресам из профиля пользователей.<br />
 - <b>Форум</b>: 2-х уровневый форум с возможностью разделения прав на просмотр, создание и редактирование тем, разделов и категорий.<br />
 - Многоуровневая <b>система управления файлами</b>: обменник, загруз-центр, хранилище файлов для форума и т.д. Понимает ID3 теги у большинства популярных форматов, также имеется возможность создания скриншотов к изображениям и видео (нужен php-ffmpeg).<br />
 - Автоматическое определение типа браузера пользователя позволяет использовать 3 разновидности тем оформления, адаптированные под WEB, PDA или WAP устройства.<br />
 - Использование популярного шаблонизатора Smarty предоставляет дизайнеру широкие возможности по оформлению сайта без вмешательства в код движка. Фактически дизайн ограничен только фантазией.<br />
 Скачать последнюю версию Вы всегда можете тут: <a href="http://dcms.su/files/.downloads/Relizy/">http://dcms.su/files/.downloads/Relizy/</a>
{if $user->id}{else}<div id="reg"> 	<a href="/reg.php">Регистрация</a> </div>{/if}
</div>
{/if}
{if $smarty.server.SCRIPT_NAME == '/index.php'} 
<div id="site_vidget">
 {$content}
 </div>
{/if}

</div>
</div>
{include file="inc.returns.tpl"}
<div id="ads_b"> 
{include file="inc.adt.bottom.tpl"}
</div>
<div id="footer"> 
<div id="footer1"> 
{include file="footer.tpl"}
</div>
</div>
</body>
</html>